dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
set_inpun_fun("gameinput");

function LevelComplete()
		
	
	flags = {};
	
	flags.glove_taken = true;	
	flags.rentgen_taken = true;
	flags.nvg_taken = true;
	flags.scaner_taken = true;
	flags.pointer_taken = true;
	flags.restore_sheet = false;
	
	SaveGame1();
	
	delete_tree_leaf("Root","dark_cave1");
	NextLevel(22);

end;

flags.glove_taken = true;	
	flags.rentgen_taken = true;
	flags.nvg_taken = true;
	flags.scaner_taken = true;
	
flags.first_time_load = true;
flags.mini1 = false;
flags.finish = false;

flags.light1=true;
flags.light=false;
flags.nv_done=true;
flags.nvg_block=false;
flags.dver1=false;
if flags.restore_sheet then
	LoadGame();
	AddTool();
end;
flags.restore_sheet = true;

AddTreeLeaf( "Root", "dark_cave1", 21, 0 );

AddTxt();

LoadLeafRes( 21, 0 );
--PreLoadResource("data\\22\\0\\res.lua","lava");

-- scene logic
flags.start_draw = true;
flags.comics=true;

-- end scene logic
StartAnimation( 5555555555,5,5 );
SetCurrentLeaf("dark_cave1",21,0);